package cn.com.qmth.am.config;

import java.io.File;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import cn.com.qmth.am.service.QuestionService;
import cn.com.qmth.am.service.StudentScoreService;

@Component
public class InitData implements CommandLineRunner {

    @Autowired
    private SysProperty sysProperty;

    @Autowired
    private StudentScoreService studentScoreService;

    @Autowired
    private QuestionService questionService;

    @Override
    public void run(String... args) throws Exception {
        File dataDir = new File(sysProperty.getDataDir());
        if (!dataDir.exists()) {
            dataDir.mkdir();
        }
        File dir = new File(sysProperty.getDataDir() + "/" + "slice");
        if (!dir.exists()) {
            dir.mkdir();
        }
        File sheet = new File(sysProperty.getDataDir() + "/" + "sheet");
        if (!sheet.exists()) {
            sheet.mkdir();
        }
        resetTaskStatus();
    }

    private void resetTaskStatus() {
        studentScoreService.resetStatus();
        questionService.resetStatus();
    }

}
