package cn.com.qmth.am.consumer;

import java.util.concurrent.CountDownLatch;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import cn.com.qmth.am.entity.StudentScoreEntity;
import cn.com.qmth.am.service.StudentScoreService;

@Scope("prototype")
@Service
public class MarkingConsumer implements Runnable {

    private CountDownLatch endGate;

    private StudentScoreEntity score;

    @Autowired
    private StudentScoreService studentScoreService;

    @Override
    public void run() {
        try {
            studentScoreService.aiMarking(score);
        } finally {
            endGate.countDown();
        }
    }

    public CountDownLatch getEndGate() {
        return endGate;
    }

    public void setEndGate(CountDownLatch endGate) {
        this.endGate = endGate;
    }

    public StudentScoreEntity getScore() {
        return score;
    }

    public void setScore(StudentScoreEntity score) {
        this.score = score;
    }

}
