package cn.com.qmth.am.consumer;

import java.util.concurrent.CountDownLatch;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import cn.com.qmth.am.bean.OcrDto;
import cn.com.qmth.am.service.StudentService;

@Scope("prototype")
@Service
public class OcrConsumer implements Runnable {

    private CountDownLatch endGate;

    @Autowired
    private StudentService studentService;

    private OcrDto ocrDto;

    @Override
    public void run() {
        try {
            studentService.buildImage(ocrDto);
        } finally {
            endGate.countDown();
        }
    }

    public CountDownLatch getEndGate() {
        return endGate;
    }

    public void setEndGate(CountDownLatch endGate) {
        this.endGate = endGate;
    }

    public OcrDto getOcrDto() {
        return ocrDto;
    }

    public void setOcrDto(OcrDto ocrDto) {
        this.ocrDto = ocrDto;
    }

}
