package cn.com.qmth.am.consumer;

import java.util.concurrent.CountDownLatch;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import cn.com.qmth.am.bean.StudentScoreVo;
import cn.com.qmth.am.entity.QuestionEntity;
import cn.com.qmth.am.service.StudentService;

@Scope("prototype")
@Service
public class UpdateMarkingScoreConsumer implements Runnable {

    private CountDownLatch endGate;

    private QuestionEntity question;

    private StudentScoreVo vo;

    @Autowired
    private StudentService studentService;

    @Override
    public void run() {
        try {
            studentService.updateMarkingScore(question, vo);
        } finally {
            endGate.countDown();
        }
    }

    public CountDownLatch getEndGate() {
        return endGate;
    }

    public void setEndGate(CountDownLatch endGate) {
        this.endGate = endGate;
    }

    public QuestionEntity getQuestion() {
        return question;
    }

    public void setQuestion(QuestionEntity question) {
        this.question = question;
    }

    public StudentService getStudentService() {
        return studentService;
    }

    public void setStudentService(StudentService studentService) {
        this.studentService = studentService;
    }

    public StudentScoreVo getVo() {
        return vo;
    }

    public void setVo(StudentScoreVo vo) {
        this.vo = vo;
    }

}
