package cn.com.qmth.am.entity;

import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.qmth.am.bean.ImageSlice;
import cn.com.qmth.am.bean.ds.StandardAnswer;
import cn.com.qmth.am.entity.base.IdEntity;
import cn.com.qmth.am.enums.AnswerRangeType;
import cn.com.qmth.am.enums.DataStatus;
import cn.com.qmth.am.enums.PromptTemplate;
import cn.com.qmth.am.handle.ImageSliceListTypeHandler;
import cn.com.qmth.am.handle.StandardAnswerListTypeHandler;

@TableName(value = "am_question", autoResultMap = true)
public class QuestionEntity extends IdEntity {

    private static final long serialVersionUID = -6261302618070108336L;

    // 考生数据同步状态
    private DataStatus status;

    // 试题评分提示词模版
    private PromptTemplate promptTemplate;

    private Long examId;

    private String subjectCode;

    private String subjectName;

    private Integer mainNumber;

    private String subNumber;

    // 满分
    private Double fullScore;

    // 试题名称
    private String title;

    // 试题内容
    private String content;

    // 试题答案
    @TableField(value = "answer", typeHandler = StandardAnswerListTypeHandler.class)
    private List<StandardAnswer> answer;

    // 答题区域类型
    private AnswerRangeType answerRangeType;

    // 分档
    private String scoreGrades;

    // 补充说明
    private String ext;

    @TableField(value = "image_slice", typeHandler = ImageSliceListTypeHandler.class)
    private List<ImageSlice> imageSlice;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public String getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(String subNumber) {
        this.subNumber = subNumber;
    }

    public Double getFullScore() {
        return fullScore;
    }

    public void setFullScore(Double fullScore) {
        this.fullScore = fullScore;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<StandardAnswer> getAnswer() {
        return answer;
    }

    public void setAnswer(List<StandardAnswer> answer) {
        this.answer = answer;
    }

    public List<ImageSlice> getImageSlice() {
        return imageSlice;
    }

    public void setImageSlice(List<ImageSlice> imageSlice) {
        this.imageSlice = imageSlice;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public DataStatus getStatus() {
        return status;
    }

    public void setStatus(DataStatus status) {
        this.status = status;
    }

    public PromptTemplate getPromptTemplate() {
        return promptTemplate;
    }

    public void setPromptTemplate(PromptTemplate promptTemplate) {
        this.promptTemplate = promptTemplate;
    }

    public AnswerRangeType getAnswerRangeType() {
        return answerRangeType;
    }

    public void setAnswerRangeType(AnswerRangeType answerRangeType) {
        this.answerRangeType = answerRangeType;
    }

    public String getScoreGrades() {
        return scoreGrades;
    }

    public void setScoreGrades(String scoreGrades) {
        this.scoreGrades = scoreGrades;
    }

    public String getExt() {
        return ext;
    }

    public void setExt(String ext) {
        this.ext = ext;
    }

}
