package cn.com.qmth.am.entity;

import java.util.List;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;

import cn.com.qmth.am.bean.ImagePosition;
import cn.com.qmth.am.entity.base.IdEntity;
import cn.com.qmth.am.enums.DataStatus;
import cn.com.qmth.am.handle.ImagePositionListTypeHandler;

@TableName(value = "am_student_score", autoResultMap = true)
public class StudentScoreEntity extends IdEntity {

    private static final long serialVersionUID = -6261302618070108336L;

    private Long questionId;

    // 云阅卷学生id
    private Long studentId;

    private String examNumber;

    // 机评分
    private Double aiScore;

    // 人评分
    private Double markingScore;

    // ocr状态
    private DataStatus answerStatus;

    // 评分状态
    private DataStatus scoreStatus;

    // ocr结果
    private String answer;

    // 错误信息
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String errMsg;

    // 机评返回null
    private Boolean scoreNone;

    @TableField(updateStrategy = FieldStrategy.IGNORED, typeHandler = JacksonTypeHandler.class)
    private List<Double> stepScore;

    @TableField(updateStrategy = FieldStrategy.IGNORED, typeHandler = JacksonTypeHandler.class)
    private List<String> sheet;

    private String slice;

    @TableField(value = "image_position", typeHandler = ImagePositionListTypeHandler.class)
    private List<ImagePosition> imagePosition;

    private Integer sheetCount;

    public Double getAiScore() {
        return aiScore;
    }

    public void setAiScore(Double aiScore) {
        this.aiScore = aiScore;
    }

    public Double getMarkingScore() {
        return markingScore;
    }

    public void setMarkingScore(Double markingScore) {
        this.markingScore = markingScore;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public DataStatus getAnswerStatus() {
        return answerStatus;
    }

    public void setAnswerStatus(DataStatus answerStatus) {
        this.answerStatus = answerStatus;
    }

    public DataStatus getScoreStatus() {
        return scoreStatus;
    }

    public void setScoreStatus(DataStatus scoreStatus) {
        this.scoreStatus = scoreStatus;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    public Boolean getScoreNone() {
        return scoreNone;
    }

    public void setScoreNone(Boolean scoreNone) {
        this.scoreNone = scoreNone;
    }

    public List<Double> getStepScore() {
        return stepScore;
    }

    public void setStepScore(List<Double> stepScore) {
        this.stepScore = stepScore;
    }

    public List<String> getSheet() {
        return sheet;
    }

    public void setSheet(List<String> sheet) {
        this.sheet = sheet;
    }

    public String getSlice() {
        return slice;
    }

    public void setSlice(String slice) {
        this.slice = slice;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public List<ImagePosition> getImagePosition() {
        return imagePosition;
    }

    public void setImagePosition(List<ImagePosition> imagePosition) {
        this.imagePosition = imagePosition;
    }

    public Integer getSheetCount() {
        return sheetCount;
    }

    public void setSheetCount(Integer sheetCount) {
        this.sheetCount = sheetCount;
    }

}
