package cn.com.qmth.am.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.am.bean.OcrDto;
import cn.com.qmth.am.bean.StudentScoreImageDto;
import cn.com.qmth.am.bean.StudentScoreVo;
import cn.com.qmth.am.bean.StudentVo;
import cn.com.qmth.am.entity.QuestionEntity;
import cn.com.qmth.am.entity.StudentScoreEntity;
import cn.com.qmth.am.enums.DataStatus;

/**
 * 类注释
 */
public interface StudentScoreService extends IService<StudentScoreEntity> {

    void updateAnswerErr(Long id, String string);

    void createSlice(OcrDto ocrDto);

    void ocr(StudentScoreImageDto dto);

    void aiMarking(StudentScoreEntity score);

    void resetStatus();

    List<StudentScoreEntity> findAllToAiMarking();

    int countBy(Long examId, DataStatus success);

    int countOcrBy(Long examId, DataStatus success);

    void removeBy(Long examId, String subjectCode);

    List<StudentScoreEntity> findBy(Long questionId, Boolean exZero, Integer count, Integer score);

    List<StudentScoreEntity> findAllToOcr();

    void saveByQuestion(List<QuestionEntity> qlist, List<StudentVo> students);

    StudentScoreEntity findUpdateMarkingScore();

    void updateMarkingScore(StudentScoreVo score);

    List<StudentScoreVo> getInfoByExam(Long examId);

    List<StudentScoreVo> getAllInfoForUpdateScore();

    void updateMarkingScoreAndTrack(StudentScoreVo score);

}
