package cn.com.qmth.am.utils;

import java.io.OutputStream;
import java.net.URLEncoder;
import java.util.Collection;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/*
 * excel导出工具
 */
public class ExportUtils {

    private static final Logger log = LoggerFactory.getLogger(ExportUtils.class);

    private static final String DEFALUT_CONTENT_TYPE = "application/vnd.ms-excel";

    private static final String DEFALUT_EXT = ".xlsx";

    public static void exportExcel(String fileName, Class<?> dataClass, Collection<?> dataset,
            HttpServletResponse response) {
        log.debug("导出Excel开始...");
        try {
            response.setHeader("Content-Disposition",
                    "inline;filename=" + URLEncoder.encode(fileName, "UTF-8") + DEFALUT_EXT);
            response.setContentType(DEFALUT_CONTENT_TYPE);
            ServletOutputStream outputStream = response.getOutputStream();

            ExcelWriter excelExporter = new ExcelWriter(dataClass, "sheet1");
            excelExporter.write(dataset, outputStream);
            outputStream.flush();
            outputStream.close();
            log.debug("导出Excel结束");
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    public static void makeExcel(Class<?> dataClass, Collection<?> dataset, OutputStream outputStream) {
        log.debug("生成Excel开始...");
        ExcelWriter excelExporter = new ExcelWriter(dataClass, "sheet1");
        try {
            excelExporter.write(dataset, outputStream);
            log.debug("生成Excel结束");
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
