package cn.com.qmth.am.utils;

import java.io.File;
import java.io.IOException;
import java.io.StringWriter;
import java.util.HashMap;
import java.util.Map;

import cn.com.qmth.am.bean.ds.AutoScoreRequest;
import cn.com.qmth.am.enums.PromptTemplate;
import freemarker.template.Configuration;
import freemarker.template.Template;

public class FreeMarkerUtil {

    private static final String ENCODING = "UTF-8";

    private static Configuration cfg;

    private static Map<PromptTemplate, Template> ts = new HashMap<>();

    static {

        try {
            cfg = new Configuration(Configuration.VERSION_2_3_25);
            // 设置编码
            cfg.setDefaultEncoding(ENCODING);
            cfg.setDirectoryForTemplateLoading(new File("./templates"));
            for (PromptTemplate p : PromptTemplate.values()) {
                ts.put(p, cfg.getTemplate(p.getCode()));
            }
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    public static String getMarkingReq(AutoScoreRequest req, PromptTemplate p) {
        StringWriter result = null;
        try {
            result = new StringWriter();
            ts.get(p).process(req, result);
            return result.toString();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
